Header in Angular Tab

26 Sep 202624 minutes to read

This section explains how to modify Angular Tab header styles and configure header icons and their positions.

Styles

Apply these predefined classes to the Angular Tab root element via the cssClass property to control the visual appearance and selection behavior of Angular Tab headers:

  • e-fill: The selected Tab header background displays as a solid fill, providing clear visual distinction for the active tab.
  • e-background: Tab headers have a solid fill background with the selected header featuring a highlighted border for emphasis.
  • e-background e-accent: Combine e-background with e-accent to apply a solid fill background with the selected header displaying a highlighted border in the accent color theme.

When the cssClass property is not configured with these custom style classes, the default Tab styling is used for all Tab items.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FormsModule } from '@angular/forms'
import { TabModule } from '@syncfusion/ej2-angular-navigations'
import { DropDownListModule } from '@syncfusion/ej2-angular-dropdowns'


import { Component, ViewChild } from '@angular/core';
import { DropDownListComponent, ChangeEventArgs } from '@syncfusion/ej2-angular-dropdowns';
import { TabComponent } from '@syncfusion/ej2-angular-navigations';

@Component({
imports: [
        FormsModule, TabModule, DropDownListModule
    ],


standalone: true,
    selector: 'app-container',
    // specifies the template url path
    templateUrl: './app.component.html'
    })
export class AppComponent {
    @ViewChild('element') tabObj?: TabComponent;
    @ViewChild('headerStyles') listObj?: DropDownListComponent;
    public headerText: Record<string, any>[] = [{ 'text': 'Twitter' }, { 'text': 'Facebook' },{ 'text': 'WhatsApp' }];
    public headerData: Object[] = [
        { Id: 'header1', headerStyle: 'default', text: 'Default' },
        { Id: 'header2', headerStyle: 'fill', text: 'Fill'},
        { Id: 'header3', headerStyle: 'background',text: 'Background' },
        { Id: 'header4', headerStyle: 'accent', text: 'Accent' }
    ];
    public fields: Object = { text: 'text', value: 'headerStyle' };
    public height: string = '220px';
    public value: string = 'default';
    public onChange(args: ChangeEventArgs): void {
        this.removeStyleClass();
        if (this.listObj?.value === 'fill') {
            (this.tabObj as TabComponent).element.classList.add('e-fill');
        } else if (this.listObj?.value === 'background') {
            (this.tabObj as TabComponent).element.classList.add('e-background');
        } else if (this.listObj?.value === 'accent') {
            (this.tabObj as TabComponent).element.classList.add('e-background');
            (this.tabObj as TabComponent).element.classList.add('e-accent');
        }
    }
    public removeStyleClass(): void {
        (this.tabObj as TabComponent).element.classList.remove('e-fill');
        (this.tabObj as TabComponent).element.classList.remove('e-background');
        (this.tabObj as TabComponent).element.classList.remove('e-accent');
    }    
}
<div id="wrapper" style='margin-top: 20px'>
    <div id='content' style="margin: 0px auto">
        <div id="default" style="padding-top:20px;width:250px">
            <div class='row'>
                <div>
                    <label> Header Style </label>
                </div><br />
                <div>
                    <ejs-dropdownlist id='headerStyles' #headerStyles [dataSource]='headerData'
                        (change)='onChange($event)' [value]='value' [fields]='fields' [popupHeight]='height'>
                    </ejs-dropdownlist>
                </div>
            </div>
        </div>
        <br />
        <div>
            <ejs-tab id="element" #element>
                <e-tabitems>
                    <e-tabitem [header]='headerText[0]'>
                        <ng-template #content>
                            Twitter is an online social networking service that enables users to send and read short
                            140-character messages called "tweets".
                            Registered users can read and post tweets, but those who are unregistered can only read
                            them. Users access Twitter
                            through the website interface, SMS or mobile device app Twitter Inc. is based in San
                            Francisco and has more than 25
                            offices around the world. Twitter was created in March 2006 by Jack Dorsey, Evan Williams,
                            Biz Stone, and Noah Glass
                            and launched in July 2006. The service rapidly gained worldwide popularity, with more than
                            100 million users posting
                            340 million tweets a day in 2012.The service also handled 1.6 billion search queries per
                            day.
                        </ng-template>
                    </e-tabitem>
                    <e-tabitem [header]='headerText[1]'>
                        <ng-template #content>
                            Facebook is an online social networking service headquartered in Menlo Park, California. Its
                            website was launched on February
                            4, 2004, by Mark Zuckerberg with his Harvard College roommates and fellow students Eduardo
                            Saverin, Andrew McCollum,
                            Dustin Moskovitz and Chris Hughes.The founders had initially limited the website\'\s
                            membership to Harvard students,
                            but later expanded it to colleges in the Boston area, the Ivy League, and Stanford
                            University. It gradually added support
                            for students at various other universities and later to high-school students.
                        </ng-template>
                    </e-tabitem>
                    <e-tabitem [header]='headerText[2]'>
                        <ng-template #content>
                            WhatsApp Messenger is a proprietary cross-platform instant messaging client for smartphones
                            that operates under a subscription
                            business model. It uses the Internet to send text messages, images, video, user location and
                            audio media messages to
                            other users using standard cellular mobile numbers. As of February 2016, WhatsApp had a user
                            base of up to one billion,[10]
                            making it the most globally popular messaging application. WhatsApp Inc., based in Mountain
                            View, California, was acquired
                            by Facebook Inc. on February 19, 2014, for approximately US$19.3 billion.
                        </ng-template>
                    </e-tabitem>
                </e-tabitems>
            </ejs-tab>
        </div>
    </div>
</div>
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Icon positions

Customize the position of Angular Tab header icons using the iconPosition property. This property works in conjunction with the header item’s iconCss property to determine both the icon source and its placement.

The available position values are:

  • Left: Icon appears to the left of the Tab header text (default).
  • Right: Icon appears to the right of the Tab header text.
  • Top: Icon appears above the Tab header text. Supported only when the header orientation is vertical (headerPlacement="Left" or "Right"); see Orientation.
  • Bottom: Icon appears below the Tab header text. Supported only when the header orientation is vertical.

In RTL layouts, the Left and Right values are mirrored: Right places the icon on the visual left and Left places it on the visual right.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FormsModule } from '@angular/forms'
import {  TabItemsDirective, TabItemDirective,TabAllModule } from '@syncfusion/ej2-angular-navigations'
import { DropDownListComponent,DropDownListModule } from '@syncfusion/ej2-angular-dropdowns'

import { Component, ViewChild } from '@angular/core';
import { DropDownListModel, ChangeEventArgs } from '@syncfusion/ej2-dropdowns';
import { TabComponent } from '@syncfusion/ej2-angular-navigations';
import { enableRipple } from '@syncfusion/ej2-base';

/**
 * Adaptive Tab Component
 */

@Component({
imports: [
        FormsModule,DropDownListModule,TabAllModule
    ],


standalone: true,
    selector: 'app-container',
    // specifies the template url path
    template: ` <div id="wrapper" style='margin-top: 20px'><div id='content' style="margin: 0px auto">
          <div id="default" style="padding-top:20px;width:250px">
            <div class='row'>
                <div>
                    <label> Icon Position </label>
                </div><br/>
                <div>
                    <ejs-dropdownlist id='iconPosition' #iconPosition [dataSource]='positionData' (change)='onChange($event)' [value]='value' [fields]='fields' [popupHeight]='height'></ejs-dropdownlist>
                </div>
            </div>
        </div>
        <br/><div><ejs-tab id="element" #element>
                <e-tabitems>
                        <e-tabitem [header]='headerText[0]'>
                            <ng-template #content>
                                Twitter is an online social networking service that enables users to send and read short 140-character messages called "tweets".
                                Registered users can read and post tweets, but those who are unregistered can only read them. Users access Twitter
                                through the website interface, SMS or mobile device app Twitter Inc. is based in San Francisco and has more than 25
                                offices around the world. Twitter was created in March 2006 by Jack Dorsey, Evan Williams, Biz Stone, and Noah Glass
                                and launched in July 2006. The service rapidly gained worldwide popularity, with more than 100 million users posting
                                340 million tweets a day in 2012.The service also handled 1.6 billion search queries per day.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem [header]='headerText[1]'>
                            <ng-template #content>
                                Facebook is an online social networking service headquartered in Menlo Park, California. Its website was launched on February
                                4, 2004, by Mark Zuckerberg with his Harvard College roommates and fellow students Eduardo Saverin, Andrew McCollum,
                                Dustin Moskovitz and Chris Hughes.The founders had initially limited the website\'\s membership to Harvard students,
                                but later expanded it to colleges in the Boston area, the Ivy League, and Stanford University. It gradually added support
                                for students at various other universities and later to high-school students.
                            </ng-template>
                        </e-tabitem>
                        <e-tabitem [header]='headerText[2]'>
                            <ng-template #content>
                                WhatsApp Messenger is a proprietary cross-platform instant messaging client for smartphones that operates under a subscription
                                business model. It uses the Internet to send text messages, images, video, user location and audio media messages to
                                other users using standard cellular mobile numbers. As of February 2016, WhatsApp had a user base of up to one billion,[10]
                                making it the most globally popular messaging application. WhatsApp Inc., based in Mountain View, California, was acquired
                                by Facebook Inc. on February 19, 2014, for approximately US$19.3 billion.
                            </ng-template>
                        </e-tabitem>
                    </e-tabitems>
                </ejs-tab>
        </div>
      </div>
 </div>`
    })
export class AppComponent {
    @ViewChild('element') tabObj?: TabComponent;
    @ViewChild('iconPosition') listObj?: DropDownListComponent;
    public positionData: object = [
        { position: 'left', text: 'Left' },
        { position: 'right', text: 'Right'},
        { position: 'top',text: 'Top' },
        { position: 'bottom', text: 'Bottom' }
    ];
    public fields: Object = { text: 'text', value: 'position' };
    public height: string = '220px';
    public value: string = 'left';
    public onChange(ChangeEventArgs: any): void {
          let items: any = (this.tabObj as TabComponent).items;
          for(let i: number = 0; i < items.length; i++) {
             items[i].header.iconPosition = this.listObj?.value;
          }
    }
    public headerText: { text: string; iconCss: string }[] = [{ 'text': 'Twitter', 'iconCss': 'e-twitter' }, { 'text': 'Facebook', 'iconCss': 'e-facebook' },{ 'text': 'WhatsApp', 'iconCss': 'e-whatsapp' }];

}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

See Also

Header Styles and Settings in React Tab

This section explains about modifying the style of React Tab header, and configuring its icons and positions.

Styles

You can customize header styles by adding predefined classes in the React Tab root element. The pre-defined CSS class names are as follows:

  • e-fill: The Selected React Tab header background is set as solid fill.
  • e-background: React Tab header has a solid fill background, and the selected header has a highlighted border.
  • e-background e-accent: React Tab header has a solid fill background, and the selected header has a highlighted border with accent color.

If the above custom style classes are not included in the root element, the default style is applied to the React Tab items.

import { ChangeEventArgs, DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { TabComponent, TabItemDirective, TabItemsDirective } from '@syncfusion/ej2-react-navigations';
import * as React from "react";
import { useRef } from 'react';
import * as ReactDOM from 'react-dom';

const ReactApp = () => {
  let tabObj = useRef(null);
  let headerStyles = useRef(null)
  let headerText = [{ text: "Twitter" }, { text: "Facebook" }, { text: "WhatsApp" }];
  let fields = { text: 'text', value: 'value' };
  let headerData = [
    { 'value': 'default', 'text': 'Default' }, { 'value': 'fill', 'text': 'Fill' },
    { 'value': 'background', 'text': 'Background' }, { 'value': 'accent', 'text': 'Accent' }
  ];
  let hdrVal = 'default';

  const changeHeaderStyles = (e) => {
    removeStyleClass();
    const name = headerStyles.current.value;
    if (name === 'fill') {
      tabObj.current.element.classList.add('e-fill');
    } else if (name === 'background') {
      tabObj.current.element.classList.add('e-background');
    } else if (name === 'accent') {
      tabObj.current.element.classList.add('e-background');
      tabObj.current.element.classList.add('e-accent');
    }
  }

  const removeStyleClass = () => {
    tabObj.current.element.classList.remove('e-fill');
    tabObj.current.element.classList.remove('e-background');
    tabObj.current.element.classList.remove('e-accent');
  }

  const content0 = () => {
    return <div>
      Twitter is an online social networking service that enables users to send and read short 140-character
      messages called "tweets". Registered users can read and post tweets, but those who are unregistered can only read
      them. Users access Twitter through the website interface, SMS or mobile device app Twitter Inc. is based in San
      Francisco and has more than 25 offices around the world. Twitter was created in March 2006 by Jack Dorsey,
      Evan Williams, Biz Stone, and Noah Glass and launched in July 2006. The service rapidly gained worldwide popularity,
      with more than 100 million users posting 340 million tweets a day in 2012.The service also handled 1.6 billion
      search queries per day.
    </div>;
  }
  const content1 = () => {
    return <div>
      Facebook is an online social networking service headquartered in Menlo Park, California. Its website was
      launched on February 4, 2004, by Mark Zuckerberg with his Harvard College roommates and fellow students Eduardo
      Saverin, Andrew McCollum, Dustin Moskovitz and Chris Hughes.The founders had initially limited the website
      membership to Harvard students, but later expanded it to colleges in the Boston area, the Ivy League, and Stanford
      University. It gradually added support for students at various other universities and later to high-school students.
    </div>;
  }
  const content2 = () => {
    return <div>
      WhatsApp Messenger is a proprietary cross-platform instant messaging client for smartphones that operates
      under a subscription business model. It uses the Internet to send text messages, images, video, user location and
      audio media messages to other users using standard cellular mobile numbers. As of February 2016, WhatsApp had a user
      base of up to one billion,[10] making it the most globally popular messaging application. WhatsApp Inc., based in
      Mountain View, California, was acquired by Facebook Inc. on February 19, 2014, for approximately US$19.3 billion.
    </div>;
  }
  return (
    <div>
      <DropDownListComponent ref={headerStyles} dataSource={headerData} fields={fields} value={hdrVal} width={'150'} change={changeHeaderStyles} />
      <br /><br />
      <TabComponent heightAdjustMode='Auto' height={320} ref={tabObj}>
        <TabItemsDirective>
          <TabItemDirective header={headerText[0]} content={content0} />
          <TabItemDirective header={headerText[1]} content={content1} />
          <TabItemDirective header={headerText[2]} content={content2} />
        </TabItemsDirective>
      </TabComponent>
    </div>
  );
}
const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<ReactApp />);
import { ChangeEventArgs, DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { TabComponent, TabItemDirective, TabItemsDirective } from '@syncfusion/ej2-react-navigations';
import * as React from "react";
import { useRef } from 'react';
import * as ReactDOM from 'react-dom';

const ReactApp = () => {
  let tabObj = useRef<TabComponent>(null);
  let headerStyles = useRef<DropDownListComponent>(null)
  let headerText: any = [{ text: "Twitter" }, { text: "Facebook" }, { text: "WhatsApp" }];
  let fields: object = { text: 'text', value: 'value' };
  let headerData: any = [
    { 'value': 'default', 'text': 'Default' }, { 'value': 'fill', 'text': 'Fill' },
    { 'value': 'background', 'text': 'Background' }, { 'value': 'accent', 'text': 'Accent' }
  ];
  let hdrVal: string = 'default';

  const changeHeaderStyles = (e: ChangeEventArgs): void => {
    removeStyleClass();
    const name: string = headerStyles.current.value as string;
    if (name === 'fill') {
      tabObj.current.element.classList.add('e-fill');
    } else if (name === 'background') {
      tabObj.current.element.classList.add('e-background');
    } else if (name === 'accent') {
      tabObj.current.element.classList.add('e-background');
      tabObj.current.element.classList.add('e-accent');
    }
  }

  const removeStyleClass = (): void => {
    tabObj.current.element.classList.remove('e-fill');
    tabObj.current.element.classList.remove('e-background');
    tabObj.current.element.classList.remove('e-accent');
  }

  const content0 = () => {
    return <div>
      Twitter is an online social networking service that enables users to send and read short 140-character
      messages called "tweets". Registered users can read and post tweets, but those who are unregistered can only read
      them. Users access Twitter through the website interface, SMS or mobile device app Twitter Inc. is based in San
      Francisco and has more than 25 offices around the world. Twitter was created in March 2006 by Jack Dorsey,
      Evan Williams, Biz Stone, and Noah Glass and launched in July 2006. The service rapidly gained worldwide popularity,
      with more than 100 million users posting 340 million tweets a day in 2012.The service also handled 1.6 billion
      search queries per day.
    </div>;
  }
  const content1 = () => {
    return <div>
      Facebook is an online social networking service headquartered in Menlo Park, California. Its website was
      launched on February 4, 2004, by Mark Zuckerberg with his Harvard College roommates and fellow students Eduardo
      Saverin, Andrew McCollum, Dustin Moskovitz and Chris Hughes.The founders had initially limited the website
      membership to Harvard students, but later expanded it to colleges in the Boston area, the Ivy League, and Stanford
      University. It gradually added support for students at various other universities and later to high-school students.
    </div>;
  }
  const content2 = () => {
    return <div>
      WhatsApp Messenger is a proprietary cross-platform instant messaging client for smartphones that operates
      under a subscription business model. It uses the Internet to send text messages, images, video, user location and
      audio media messages to other users using standard cellular mobile numbers. As of February 2016, WhatsApp had a user
      base of up to one billion,[10] making it the most globally popular messaging application. WhatsApp Inc., based in
      Mountain View, California, was acquired by Facebook Inc. on February 19, 2014, for approximately US$19.3 billion.
    </div>;
  }
  return (
    <div>
      <DropDownListComponent ref={headerStyles} dataSource={headerData} fields={fields} value={hdrVal} width={'150'} change={changeHeaderStyles} />
      <br /><br />
      <TabComponent heightAdjustMode='Auto' height={320} ref={tabObj}>
        <TabItemsDirective>
          <TabItemDirective header={headerText[0]} content={content0} />
          <TabItemDirective header={headerText[1]} content={content1} />
          <TabItemDirective header={headerText[2]} content={content2} />
        </TabItemsDirective>
      </TabComponent>
    </div>
  );
}
const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<ReactApp />);

Icon positions

You can customize the position of the React Tab header icons using the iconPosition property. This property depends on the header items iconCss property. By default, React Tab header icon is placed on left position. The position values are as follows:

  • Left: Icon is placed on the left of the React Tab header item.
  • Right: Icon is placed on the right of the React Tab header item.
  • Top: Icon is placed on the top of the React Tab header item.
  • Bottom: Icon is placed on the bottom of the React Tab header item.

The following example shows a left-position icon using iconCss="e-icon e-folder" on each header item:

import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { TabComponent, TabItemDirective, TabItemsDirective } from '@syncfusion/ej2-react-navigations';
import * as React from "react";
import { useRef } from 'react';
import * as ReactDOM from 'react-dom';

const ReactApp = () => {
  const tabRef = useRef(null);
  const dropRef = useRef(null);
  let headerText = [{ text: "Twitter", iconCss: 'e-twitter' }, { text: "Facebook", iconCss: 'e-facebook' }, { text: "WhatsApp", iconCss: 'e-whatsapp' }];
  let fields = { text: 'text', value: 'value' };
  let headerData = [
    { 'value': 'left', 'text': 'Left' }, { 'value': 'right', 'text': 'Right' },
    { 'value': 'top', 'text': 'Top' }, { 'value': 'bottom', 'text': 'Bottom' }
  ];
  let value = 'left';

  const TwitterContent = () => {
    return <div>
      Twitter is an online social networking service that enables users to send and read short 140-character messages called "tweets". Registered users can read and post tweets, but those who are unregistered can only read them. Users access Twitter through the website interface, SMS or mobile device app Twitter Inc. is based in San Francisco and has more than 25 offices around the world. Twitter was created in March 2006 by Jack Dorsey, Evan Williams, Biz Stone, and Noah Glass and launched in July 2006. The service rapidly gained worldwide popularity, with more than 100 million users posting 340 million tweets a day in 2012.The service also handled 1.6 billion search queries per day.
    </div>;
  }
  const facebookContent = () => {
    return <div>
      Facebook is an online social networking service headquartered in Menlo Park, California. Its website was launched on February 4, 2004, by Mark Zuckerberg with his Harvard College roommates and fellow students Eduardo Saverin, Andrew McCollum, Dustin Moskovitz and Chris Hughes.The founders had initially limited the website membership to Harvard students, but later expanded it to colleges in the Boston area, the Ivy League, and Stanford University. It gradually added support for students at various other universities and later to high-school students.
    </div>;
  }
  const whatsappContent = () => {
    return <div>
      WhatsApp Messenger is a proprietary cross-platform instant messaging client for smartphones that operates under a subscription business model. It uses the Internet to send text messages, images, video, user location and audio media messages to other users using standard cellular mobile numbers. As of February 2016, WhatsApp had a user base of up to one billion,[10] making it the most globally popular messaging application. WhatsApp Inc., based in Mountain View, California, was acquired by Facebook Inc. on February 19, 2014, for approximately US$19.3 billion.
    </div>;
  }
  const onChange = () => {
    let items = tabRef.current.items;
    for (let i = 0; i < items.length; i++) {
      items[i].header.iconPosition = dropRef.current.value;
    };
  }
  return (
    <div>
      <DropDownListComponent ref={dropRef} dataSource={headerData} fields={fields} value={value} width={'150'} change={onChange} />
      <br /><br />
      <TabComponent ref={tabRef}>
        <TabItemsDirective>
          <TabItemDirective header={headerText[0]} content={TwitterContent} />
          <TabItemDirective header={headerText[1]} content={facebookContent} />
          <TabItemDirective header={headerText[2]} content={whatsappContent} />
        </TabItemsDirective>
      </TabComponent>
    </div>
  );
}
const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<ReactApp />);
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { TabComponent, TabItemDirective, TabItemsDirective } from '@syncfusion/ej2-react-navigations';
import * as React from "react";
import { useRef } from 'react';
import * as ReactDOM from 'react-dom';

const ReactApp = () => {
  const tabRef = useRef<TabComponent>(null);
  const dropRef = useRef<DropDownListComponent>(null);
  let headerText: any = [{ text: "Twitter", iconCss: 'e-twitter' }, { text: "Facebook", iconCss: 'e-facebook' }, { text: "WhatsApp", iconCss: 'e-whatsapp' }];
  let fields: object = { text: 'text', value: 'value' };
  let headerData: any = [
    { 'value': 'left', 'text': 'Left' }, { 'value': 'right', 'text': 'Right' },
    { 'value': 'top', 'text': 'Top' }, { 'value': 'bottom', 'text': 'Bottom' }
  ];
  let value: string = 'left';

  const twitterContent = () => {
    return <div>
      Twitter is an online social networking service that enables users to send and read short 140-character messages called "tweets". Registered users can read and post tweets, but those who are unregistered can only read them. Users access Twitter through the website interface, SMS or mobile device app Twitter Inc. is based in San Francisco and has more than 25 offices around the world. Twitter was created in March 2006 by Jack Dorsey, Evan Williams, Biz Stone, and Noah Glass and launched in July 2006. The service rapidly gained worldwide popularity, with more than 100 million users posting 340 million tweets a day in 2012.The service also handled 1.6 billion search queries per day.
    </div>;
  }
  const facebookContent = () => {
    return <div>
      Facebook is an online social networking service headquartered in Menlo Park, California. Its website was launched on February 4, 2004, by Mark Zuckerberg with his Harvard College roommates and fellow students Eduardo Saverin, Andrew McCollum, Dustin Moskovitz and Chris Hughes.The founders had initially limited the website membership to Harvard students, but later expanded it to colleges in the Boston area, the Ivy League, and Stanford University. It gradually added support for students at various other universities and later to high-school students.
    </div>;
  }
  const whatsappContent = () => {
    return <div>
      WhatsApp Messenger is a proprietary cross-platform instant messaging client for smartphones that operates under a subscription business model. It uses the Internet to send text messages, images, video, user location and audio media messages to other users using standard cellular mobile numbers. As of February 2016, WhatsApp had a user base of up to one billion,[10] making it the most globally popular messaging application. WhatsApp Inc., based in Mountain View, California, was acquired by Facebook Inc. on February 19, 2014, for approximately US$19.3 billion.
    </div>;
  }
  const onChange = (): void => {
    let items: any = tabRef.current.items;
    for (let i: number = 0; i < items.length; i++) {
      items[i].header.iconPosition = dropRef.current.value;
    };
  }
  return (
    <div>
      <DropDownListComponent ref={dropRef} dataSource={headerData} fields={fields} value={value} width={'150'} change={onChange} />
      <br /><br />
      <TabComponent ref={tabRef}>
        <TabItemsDirective>
          <TabItemDirective header={headerText[0]} content={twitterContent} />
          <TabItemDirective header={headerText[1]} content={facebookContent} />
          <TabItemDirective header={headerText[2]} content={whatsappContent} />
        </TabItemsDirective>
      </TabComponent>
    </div>
  );
}
const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<ReactApp />);

See Also